osgUtil::IntersectionVisitor::ReadCallback Struct Referenceabstract

`#include <IntersectionVisitor>`

Inheritance diagram for osgUtil::IntersectionVisitor::ReadCallback:

## Public Member Functions

virtual osg::ref_ptr< osg::Node > | readNodeFile (const std::string &filename)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Callback used to implement the reading of external files, allowing support for paged databases to be integrated with IntersectionVisitor. A concrete implementation can be found in osgDB. Note, this loose coupling approach is required as osgUtil is independent from osgDB where the file reading is implemented, and osgDB itself is dependent upon osgUtil so a circular dependency would result from tighter integration.

## Member Function Documentation

## readNodeFile()

virtual osg::ref_ptr< osg::Node > osgUtil::IntersectionVisitor::ReadCallback::readNodeFile | ( | const std::string & | filename | ) |

pure virtual

Implemented in osgSim::DatabaseCacheReadCallback.

The documentation for this struct was generated from the following file:

- IntersectionVisitor